# 常用功能工具箱

Rust 中可以使用的常用辅助功能工具箱。主要配备以下功能：

- 加解密算法
  - [ ] 随机密钥自解密算法
  - [ ] AES-CBC 便捷加解密算法
    - [ ] ZerosPadding
    - [ ] Pkcs7Padding
  - [ ] DES-CBC 便捷加解密算法
    - [ ] ZerosPadding
    - [ ] Pkcs7Padding
  - [ ] 3DES 便捷加解密算法
- 散列算法。
  - [ ] Sha512 散列算法
  - [ ] Sha1 散列算法
  - [ ] MD5 散列算法
  - [ ] 图像感知散列算法
- 唯一序列号生成器
  - [ ] 改进版雪花 ID 生成器(短主机精简日期版)
  - [ ] UUID 生成器
  - [ ] short UUID 生成器
- 签名算法
  - [ ] RSA 签名算法
- 验证码生成器
  - [x] 随机验证码生成算法
- 序列化算法
  - [x] Base64 算法
  - [x] Hex 直转

本工具箱仅可支持于 Rust 程序中使用，可以编译为`rlib`或者`dylib`。
